// Authors: Sven Förster, Duc Thanh Tran

#ifndef INPUT_HPP
#define INPUT_HPP

#include "boost.hpp"
#include "structs.hpp"

#include <string>

namespace EqDsatur {

/// Used for reading in graph ressource files
class Input {
public:
	static Graph readGraph(const std::string &filename) noexcept;

private:
	/// Reads in a graph formatted in DIMACS-format
	static Graph readGraphCol(const std::string &filename) noexcept;
};

} // namespace EqDsatur

#endif
