// Author: Duc Thanh Tran

#ifndef STATUS_HPP
#define STATUS_HPP

namespace EqDsatur {

namespace Status {
	template <typename E>
	constexpr typename std::underlying_type<E>::type to_underlying(E e) {
	    return static_cast<typename std::underlying_type<E>::type>(e);
	}
} // namespace Status

enum class ForbiddenColorStatus { Available = 0, NotAvailable = 1 };
enum class VertexColor { Uncolored = 0, Ignore = -1, IgnoreRest = -2 };
enum class CliqueStatus { Ignore = -1, NoClique = 0, StartingClique = 1 };
enum class RankStatus { ZeroRank = 0 };
enum class ColorClassStatus { Empty = 0 };
enum class CliqueIndex { RestVertex = 0 };
enum class ExclusiveColor { None = -1 };

} // namespace EqDsatur

#endif
